Koji build fail for el5/el6

Kevin Fenzi kevin at scrye.com
Fri Nov 5 18:52:13 UTC 2010


On Fri, 05 Nov 2010 14:47:38 -0400
Tim Niemueller <tim at niemueller.de> wrote:

> Hello fellow Fedorans.
> 
> I'm trying to build a new package for Fawkes which has just passed 
> review. It build fine on f13/f14/f15, but it fails on el5/el6 with an 
> error that seems to be related to the build system, not to the actual 
> package.

...snip...

> I had seen this once before two weeks ago or so for another package. 
> Back then a simple resubmission worked and did the trick. But not
> this time, I resubmitted the el5 job twice, everytime the same error.
> 
> Any idea what is causing this, or how it can be solved? Should I file
> a bug (against what, which tracker)?

The userdel seems unrelated to the real problem: 

DEBUG util.py:260:  No Package Found for gearbox-devel >= 9.11
DEBUG util.py:260:  0:urg-devel-0.8.7-2.el5.x86_64
DEBUG util.py:260:  0:glibmm24-devel-2.12.10-1.el5.x86_64
DEBUG util.py:260:  0:avahi-devel-0.6.16-9.el5_5.x86_64
DEBUG util.py:260:  0:libkni3-devel-3.9.2-12.el5.x86_64
DEBUG util.py:260:  No Package Found for libdaemon-devel >= 0.14
DEBUG util.py:260:  0:libjpeg-devel-6b-37.x86_64
DEBUG util.py:260:  0:gtkmm24-devel-2.10.10-1.el5.x86_64
DEBUG util.py:260:  No Package Found for file-devel
DEBUG util.py:260:  0:libglademm24-devel-2.6.3-3.el5.x86_64
DEBUG util.py:260:  0:lua-devel-5.1.4-4.el5.x86_64
DEBUG util.py:260:  No Package Found for xmlrpc-c-devel
DEBUG util.py:260:  No Package Found for libdc1394-devel >= 2.1
DEBUG util.py:260:  No Package Found for player-devel >= 3.0
DEBUG util.py:260:  0:gcc-c++-4.1.2-48.el5.x86_64
DEBUG util.py:260:  No Package Found for graphviz-devel >= 2.22
DEBUG util.py:260:  0:SDL-devel-1.2.10-8.el5.x86_64
DEBUG util.py:260:  0:libmicrohttpd-devel-0.4.6-1.el5.x86_64
DEBUG util.py:260:  0:asciidoc-8.1.0-1.el5.noarch
DEBUG util.py:260:  0:gconfmm26-devel-2.14.2-1.el5.x86_64
DEBUG util.py:260:  0:flite-devel-1.3-11.el5.x86_64
DEBUG util.py:260:  0:desktop-file-utils-0.10-7.x86_64
DEBUG util.py:260:  No Package Found for readline-devel >= 6.1
DEBUG util.py:260:  0:opencv-devel-1.0.0-3.el5.x86_64
DEBUG util.py:260:  1:doxygen-1.4.7-1.1.x86_64
DEBUG util.py:260:  0:sqlite-devel-3.3.6-5.x86_64
DEBUG util.py:260:  2:libpng-devel-1.2.10-7.1.el5_5.3.x86_64
DEBUG util.py:260:  0:cairomm-1.2.4-1.el5.x86_64
DEBUG util.py:260:  No Package Found for libxml++-devel >= 2.26
DEBUG util.py:260:  No Package Found for tolua++-devel
DEBUG util.py:260:  0:openssl-devel-0.9.8e-12.el5_4.6.x86_64
DEBUG util.py:260:  0:kernel-headers-2.6.18-194.17.4.el5.x86_64

All those "No Package Found" issues need to be fixed. ;) 
Either by branching the needed packages into EPEL, or fixing the
package to not need them or need the available versions in EPEL. 

RHEL5 is pretty old at this point, you cannot assume that something
that works fine on fedora builds and works fine in epel. 

kevin
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 198 bytes
Desc: not available
Url : http://lists.fedoraproject.org/pipermail/devel/attachments/20101105/a0b46c61/attachment.bin 


More information about the devel mailing list